libpurple-devel-2.10.11-7.el7.i686.rpm


Advertisement

Description

libpurple-devel - Development headers, documentation, and libraries for libpurple

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name libpurple-devel
Package version 2.10.11
Package release 7.el7
Package architecture i686
Package type rpm
Installed size 921.88 KB
Download size 204.21 KB
Official Mirror mirror.centos.org
The libpurple-devel package contains the header files, developer
documentation, and libraries required for development of libpurple based
instant messaging clients or plugins for any libpurple based client.

Alternatives

Package Version Architecture Repository
libpurple-devel-2.10.11-7.el7.x86_64.rpm 2.10.11 x86_64 CentOS
libpurple-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
dbus-devel >= 0.60
dbus-glib-devel >= 0.70
libpurple = 2.10.11-7.el7
libpurple-client.so.0 -
libpurple.so.0 -
pkgconfig -
pkgconfig(glib-2.0) -

Provides

Name Value
libpurple-devel = 2.10.11-7.el7
libpurple-devel(x86-32) = 2.10.11-7.el7
pkgconfig(purple) = 2.10.11

Download

Type URL
Binary Package libpurple-devel-2.10.11-7.el7.i686.rpm
Source Package pidgin-2.10.11-7.el7.src.rpm

Install Howto

Install libpurple-devel rpm package:

# yum install libpurple-devel

Files

Path
/usr/include/libpurple/account.h
/usr/include/libpurple/accountopt.h
/usr/include/libpurple/blist.h
/usr/include/libpurple/buddyicon.h
/usr/include/libpurple/certificate.h
/usr/include/libpurple/cipher.h
/usr/include/libpurple/circbuffer.h
/usr/include/libpurple/cmds.h
/usr/include/libpurple/connection.h
/usr/include/libpurple/conversation.h
/usr/include/libpurple/core.h
/usr/include/libpurple/dbus-bindings.h
/usr/include/libpurple/dbus-define-api.h
/usr/include/libpurple/dbus-maybe.h
/usr/include/libpurple/dbus-purple.h
/usr/include/libpurple/dbus-server.h
/usr/include/libpurple/dbus-types.h
/usr/include/libpurple/dbus-useful.h
/usr/include/libpurple/debug.h
/usr/include/libpurple/desktopitem.h
/usr/include/libpurple/dnsquery.h
/usr/include/libpurple/dnssrv.h
/usr/include/libpurple/eventloop.h
/usr/include/libpurple/ft.h
/usr/include/libpurple/gaim-compat.h
/usr/include/libpurple/idle.h
/usr/include/libpurple/imgstore.h
/usr/include/libpurple/log.h
/usr/include/libpurple/marshallers.h
/usr/include/libpurple/media-gst.h
/usr/include/libpurple/media.h
/usr/include/libpurple/mediamanager.h
/usr/include/libpurple/mime.h
/usr/include/libpurple/nat-pmp.h
/usr/include/libpurple/network.h
/usr/include/libpurple/notify.h
/usr/include/libpurple/ntlm.h
/usr/include/libpurple/plugin.h
/usr/include/libpurple/pluginpref.h
/usr/include/libpurple/pounce.h
/usr/include/libpurple/prefs.h
/usr/include/libpurple/privacy.h
/usr/include/libpurple/proxy.h
/usr/include/libpurple/prpl.h
/usr/include/libpurple/purple.h
/usr/include/libpurple/request.h
/usr/include/libpurple/roomlist.h
/usr/include/libpurple/savedstatuses.h
/usr/include/libpurple/server.h
/usr/include/libpurple/signals.h
/usr/include/libpurple/smiley.h
/usr/include/libpurple/sound-theme-loader.h
/usr/include/libpurple/sound-theme.h
/usr/include/libpurple/sound.h
/usr/include/libpurple/sslconn.h
/usr/include/libpurple/status.h
/usr/include/libpurple/stringref.h
/usr/include/libpurple/stun.h
/usr/include/libpurple/theme-loader.h
/usr/include/libpurple/theme-manager.h
/usr/include/libpurple/theme.h
/usr/include/libpurple/upnp.h
/usr/include/libpurple/util.h
/usr/include/libpurple/value.h
/usr/include/libpurple/version.h
/usr/include/libpurple/whiteboard.h
/usr/include/libpurple/xmlnode.h
/usr/include/libpurple/media/backend-iface.h
/usr/include/libpurple/media/candidate.h
/usr/include/libpurple/media/codec.h
/usr/include/libpurple/media/enum-types.h
/usr/lib/libpurple-client.so
/usr/lib/libpurple.so
/usr/lib/pkgconfig/purple.pc
/usr/share/aclocal/purple.m4

Changelog

2017-10-12 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-7
- Drop AIM in RHEL
Resolves: #1500403
2017-10-06 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-6
- Drop MSN, MySpace and Yahoo! support in RHEL
Resolves: #1470677, #1470681, #1470685
2017-05-19 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-5
- Drop MXit support in RHEL
Resolves: #1439296
2017-04-27 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-4
- Silence -Wsign-compare
- Rename the previous patch for consistency
Resolves: #1445921, #1446368
2017-04-26 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-3
- Avoid a use-after-free in an error path
Resolves: #1445921
2017-03-28 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-2
- Add patch for CVE-2017-2640
Resolves: #1431022
2016-08-25 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.11-1
- Update to 2.10.11
Resolves: #1369526
2016-03-24 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-26
- Bump release to be higher than the EPEL build
Resolves: #1297461
2016-03-21 - Debarshi Ray <rishi@fedoraproject.org> - 2.10.7-24
- Disable build_only_libs on RHEL 7.
Resolves: #1297461
2014-08-19 - Ray Strode <rstrode@redhat.com> 2.10.7-23
- Stop mucking with dist
- Drop support for really old rhel
Resolves: #1028568

See Also

Package Description
libpurple-perl-2.10.11-7.el7.x86_64.rpm Perl scripting support for libpurple
libpurple-tcl-2.10.11-7.el7.x86_64.rpm Tcl scripting support for libpurple
libpwquality-1.2.3-5.el7.i686.rpm A library for password generation and password quality checking
libpwquality-1.2.3-5.el7.x86_64.rpm A library for password generation and password quality checking
libpwquality-devel-1.2.3-5.el7.i686.rpm Support for development of applications using the libpwquality library
libpwquality-devel-1.2.3-5.el7.x86_64.rpm Support for development of applications using the libpwquality library
libqb-1.0.1-7.el7.i686.rpm An IPC library for high performance servers
libqb-1.0.1-7.el7.x86_64.rpm An IPC library for high performance servers
libqb-devel-1.0.1-7.el7.i686.rpm Development files for libqb
libqb-devel-1.0.1-7.el7.x86_64.rpm Development files for libqb
libqmi-1.18.0-2.el7.i686.rpm Support library to use the Qualcomm MSM Interface (QMI) protocol
libqmi-1.18.0-2.el7.x86_64.rpm Support library to use the Qualcomm MSM Interface (QMI) protocol
libqmi-devel-1.18.0-2.el7.i686.rpm Header files for adding QMI support to applications that use glib
libqmi-devel-1.18.0-2.el7.x86_64.rpm Header files for adding QMI support to applications that use glib
libqmi-utils-1.18.0-2.el7.x86_64.rpm Utilities to use the QMI protocol from the command line
Advertisement
Advertisement